Get latest block number
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/latestBlockNumber/{chain} \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/latestBlockNumber/{chain}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/latestBlockNumber/{chain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"15863321"Blockchain API
Latest Block
Get the most recent block number for a specified blockchain.
GET
/
latestBlockNumber
/
{chain}
Get latest block number
Authorizations
Path Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"0x1"
Response
200 - application/json
Returns the latest block number.
The response is of type string.
Example:
"15863321"

